Resources and changes
11 operations. Each page has its parameters, body, errors and examples.
- GET
/v1/organisations/{id}/environments/{envId}/resourcesAn environment's resources (the canvas) - GET
/v1/organisations/{id}/environments/{envId}/resources/{rid}A resource with its status, settings and backups - GET
/v1/organisations/{id}/environments/{envId}/resources/{rid}/logsA resource's logs - POST
/v1/organisations/{id}/environments/{envId}/resources/{rid}/backupBack up a database now - POST
/v1/organisations/{id}/environments/{envId}/resources/{rid}/credentialsReveal a database's connection details (audited) - GET
/v1/organisations/{id}/environments/{envId}/changesChanges in an environment and their state - POST
/v1/organisations/{id}/environments/{envId}/changes/previewPreview a resource change with its price - POST
/v1/organisations/{id}/environments/{envId}/changes/{cid}/applyApply a previewed change at its stated price - POST
/v1/organisations/{id}/environments/{envId}/changes/{cid}/approveApprove a change (owner, or a second maintainer in production) - POST
/v1/organisations/{id}/environments/{envId}/changes/{cid}/rejectReject a change waiting for approval - POST
/v1/organisations/{id}/environments/{envId}/changes/{cid}/withdrawWithdraw a change